//
// Created by trokay on 13.06.23.
//

#ifndef MC_0203_NETWORK_H
#define MC_0203_NETWORK_H

#include "headers.h"
#include <ifaddrs.h>

#define SUCCESS_CODE 0
#define ERROR_CODE 1

int init_network_interface(char *interface_name);

void get_c(char *dhcp, char ip[4], char netmask[4], char gw[4], char dns[4]);

int set_c(char *dhcp,
          char ip[4],
          char netmask[4],
          char gw[4],
          char dns[4],
          char *interface_name);

int set_DNS(const char *dns);

#endif //MC_0203_NETWORK_H
